<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [calckey-js](./calckey-js.md) &gt; [Stream](./calckey-js.stream.md) &gt; [(constructor)](./calckey-js.stream._constructor_.md)

## Stream.(constructor)

Constructs a new instance of the `Stream` class

**Signature:**

```typescript
constructor(
		origin: string,
		user: {
			token: string;
		} | null,
		options?: {
			WebSocket?: any;
		},
	);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  origin | string |  |
|  user | { token: string; } \| null |  |
|  options | { WebSocket?: any; } | _(Optional)_ |

